# NAME

rrdtune - Modify some basic properties of a Round Robin Database

PDF version.

# SYNOPSIS

rrdtool tune filename [--heartbeat|-h ds-name:heartbeat] [--minimum|-i ds-name:min] [--maximum|-a ds-name:max] [--data-source-type|-d ds-name:DST] [--data-source-rename|-r old-name:new-name]

# DESCRIPTION

The tune option allows you to alter some of the basic configuration values stored in the header area of a Round Robin Database (RRD). All these tunable parameters together decide when data fed into an RRD is to be regarded as invalid. Invalid data is entered into the database as *UNKNOWN*.

The main application of the tune function is to relax the validation rules on an RRD. This allows to fill a new RRD with data available in larger intervals than what you would normally want to permit.

filename
  The name of the RRD you want to tune.

--heartbeat|-h ds-name:heartbeat
  modify the heartbeat of a data source. By setting this to a high value the RRD will accept things like one value per day ...

--minimum|-i ds-name:min
  alter the minimum value acceptable as input from the data source. Setting min to 'U' will disable this limit.

--maximum|-a ds-name:max
  alter the maximum value acceptable as input from the data source. Setting max to 'U' will disable this limit.

--data-source-type|-d ds-name:DST
  alter the type DST of a data source.

[--data-source-rename|-r old-name:new-name]
  rename a data source

# EXAMPLE

`rrdtool tune data.rrd -h in:100000 -h out:100000 -h through:100000`

Set the minimum required heartbeat for data sources 'in', 'out' and 'through' to 10000 seconds which is a little over one day in data.rrd. This would allow to feed old data from MRTG-2.0 right into RRDTool without generating *UNKNOWN* entries.

# AUTHOR

Tobias Oetiker <oetiker@ee.ethz.ch>